Update account rewards

This request updates a line of credit account's rewards.

   Click here to learn more about this request

This request updates how a line of credit account accrues rewards. Note the following when using this request:

The rewards accrual percent is calculated using the amount of each settled swipe or payment. This accrual is calculated by multiplying the amount by 100, then by the percent accrued. (e.g. $20.00 * 100 * 1% = 20 points)

Database

For information regarding note database tables, see the following articles:

Database – Product Reward Base (product_reward_base_entity)

{
    "lineOfCreditId": 1,
    "rewardAccrualEnabled": true,
    "rewardRedemptionEnabled": 1,
    "swipeSettledBaseRate": 1,
    "paymentBaseRate": 1,
    "statementCreditBaseRate": 0.01,
    "active": 1
}
Body Params
int32
required

The ID of the line of credit account.

boolean
required

Sets the line of credit account to accrue rewards on both swipes and payments.

boolean
required

Sets the line of credit account to redeem points.

int32
required

The percent of each cleared swipe amount accrued as rewards.
> e.g. 1 = 1% and will accrue 20 points on a $20.00 payment

int32
required

The percent of each settled payment amount accrued as rewards.
> e.g. 1 = 1% and will accrue 20 points on a $20.00 payment

int32
required

The dollar value that each point is worth.
> e.g. a value of 0.01 = $0.01 per point

boolean
required

Sets the rewards configuration to active for the line of credit account.

Responses

Language
Credentials
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json